package com.multictrl.modules.business.service;

import cn.hutool.json.JSONObject;
import com.multictrl.common.page.PageData;
import com.multictrl.common.service.CrudService;
import com.multictrl.modules.business.dao.DockDao;
import com.multictrl.modules.business.dto.DockDTO;
import com.multictrl.modules.business.entity.DockEntity;

import java.util.List;
import java.util.Map;

/**
 * 机库信息表
 *
 * @author Sdy
 * @since 1.0.0 2026-04-17
 */
public interface DockService extends CrudService<DockEntity, DockDTO> {

    //更新机库位置
    void updateDockLocation(String dockSn, JSONObject data);

    //分页查询
    PageData<DockDTO> pageList(Map<String, Object> params);

    //获取机库列表
    List<DockDTO> getUserDockList(Long userId);

    //获取dao
    DockDao getDao();
}